************************************************************
	*Title of dofile: WDR2020_chapter3_growthreg.do 
	*Author: Daria Taglioni (dtaglioni@worldbank.org)
	*This version: October 2019
	*This dofile estimates the effect of GVC participation on GDP per capita 
	*For Box 3.1 of chapter 3 of the World Development Report 2020.
	*Please cite World Development Report 2020: Trading for Development in the Age of Global Value Chains. Washington, DC: World Bank.
************************************************************

************************************************************				
* Box 3.1 of chapter 3 of the World Development Report 2020
**GVC AND GROWTH***
************************************************************

clear
set more off
set matsize 2000


use WDR2020_chapter3_growthreg.dta,clear 
xtset c y, delta(5)
 
drop if comm_agro_exp==1
mata: mata set matafavor speed 
xtabond2 lngdp_pc L.lngdp_pc L.lngvceb L.lngvcef L.savgdp L.nogvceso i.year, ///
iv(i.year L.savgdp L.lngvceb L.lngvcef L.nogvceso) gmm(L.lngdp_pc, lag(1 2)) small robust twostep h(2) svmat svvar

di "Long-run effect of 1% increase in GVC backward intensity"
di _b[L.lngvceb]/(1-_b[L.lngdp_pc])

di "Long-run effect of 1% increase in GVC forward intensity"
di _b[L.lngvcef]/(1-_b[L.lngdp_pc])

di "Long-run effect of 1% increase in traditional trade instensity"
di _b[L.nogvceso]/(1-_b[L.lngdp_pc])

di "Long-run effect of 1% increase in gross savngs"
di _b[L.savgdp]/(1-_b[L.lngdp_pc])

