************************************************************
	*Title of dofile: WDR2020_chapter3_lpreg.do 
	*Author: Deborah Winkler (dwinkler2@worldbank.org)
	*This version: October 2019
	*This dofile estimates the labor productivity differences across firm types
	*For Figure 3.3 of chapter 3 of the World Development Report 2020.
	*Please cite World Development Report 2020: Trading for Development in the Age of Global Value Chains. Washington, DC: World Bank.
************************************************************


************************************************************
* Figure 3.3 of chapter 3 of the World Development Report 2020
**Performance mean differences Labor productivity ***
************************************************************


clear
set more off
set matsize 2000


use "WDR2020_chapter3_lpreg.dta", clear


******************************************************************************************************
*mean differences controlling for country-sector FE, region FE, year FE all sectors
******************************************************************************************************
egen cseffects = group(country isic)

xi: reg lnlpva gvc exporter_only importer_only lnKL i.cseffects i.subnation i.year, robust
outreg2 using "LP_all", excel dec(3) append keep(gvc exporter_only importer_only lnKL) addtext(Country-sector FE, Yes, Region FE, Yes, Year FE, Yes) pvalue  



